EDIT - feature request #7158

Add pro parte misapplied name to the concept relationship types
01/08/2018 08:23 PM - Andreas Mdller

Status: Feedback Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 50%
Category: cdm Estimated time: 0:00 hour
Target version: Release 4.13

Severity: normal

Description

WGB: >>AuBerdem habe ich entdeckt, dass das eine p.p. ,Synonym® in Wirklichkeit als Misapplication genannt wird — kann man da
auch ein p.p. flag setzen?

AM: >Nein, mir ist der Fall auch nicht so 100% klar, ich war naiver Weise glaube ich bislang davon ausgegangen, dass MAs i.d.R.
keine Uberschneidung mit dem eigentlich gemeinten Taxon haben.

WGB: Das ist auch so, aber das Konzept, das hinter dem MAN steht, kann ja durchaus ein p.p. ,Synonym* sein. Ist aber dann
letztendlich, glaube ich, durch die Konzeptbeziehung abgedeck.

... also we need an adequate handling in TaxEditor

Related issues:

Related to EDIT - feature request #7215: Implement pro parte misapplied names... Closed

Related to EDIT - feature request #7336: Implement partial misapplied names i... Closed

Related to EDIT - bug #9966: Search order in advanced search not correct In Progress  04/19/2022 04/30/2022
Blocks EDIT - task #7216: Import pteridophyta for Cuba checklist Resolved

Associated revisions

Revision e9baa019 - 01/25/2018 12:10 AM - Andreas Miiller
fix #7158 Add pro parte misapplied name to the concept relationship types

Revision 6182e021 - 01/25/2018 08:21 AM - Andreas Miiller

fix #7158 fix tests for misapplications in TaxEditor

Revision 0c710462 - 01/25/2018 10:23 AM - Katja Luther

ref #7215: add boolean parameter to getMisappliedName() in editor

Revision 0455fc3f - 01/25/2018 11:30 AM - Andreas Miiller

ref #7158 fix pro parte misapplied name issues in app-import

History

#1 - 01/08/2018 08:28 PM - Andreas Miuller

- Subject changed from Add pro parte concept relationship to the concept relationships to DISCUSS: Add pro parte concept relationship to the concept
relationships

- Description updated

#2 - 01/08/2018 08:29 PM - Andreas Miller

- Description updated

#3 - 01/08/2018 08:30 PM - Andreas Miiller

- Description updated

#4 - 01/09/2018 10:29 AM - Andreas Mdiller
WGB:

mein Vorschlag der p.p. Flag fir misapplications bezog sich auf die kurzfristige Losung, also nicht auf Konzeptrelationen.

Bei der Implementierung als Konzeptrelation ist das grundsatzliche Problem, wie man die im System gespeicherte Relation in die entsprechenden
Textausgaben ,lbersetzt“. Ich denke, dass das Modell der (mengenbasierten) Konzeptrelationen alle méglichen (p.p., partial) Félle abdeckt. Die
Ausgabe muss man vermutlich konfigurierbar machen, also an die fiir die betreffende Instanz geltenden editorial rules anpassen.

Vielleicht sollten wir anfangen, solche Regeln mal systematisch zu erfassen, um damit Templates zu erstellen? Das machen wir ja im Prinzip in der
Ausgabe schon.

AM: Walter, kénntest du fiir das Ticket 7158 nochmal genau erklaren, um was es sich bei pp MANs genau handeln kénnte. Und v.a. ob wir sie mit
einer eigenen Konzeptbeziehung behandeln sollten, oder ob diese IMMER durch eine andere abgedeckt werden kann, wie pp Synonym oder overlap

oder oder. Mit IMMER meine ich nicht mathematisch sondern v.a. auch was die Gewohnheiten der Community angeht (mathematisch sind pp
Synonym ja auch gleich includes oder overlap, trotzdem macht es Sinn sie zu unterscheiden).

#5 - 01/24/2018 01:54 PM - Andreas Miiller

- Subject changed from DISCUSS: Add pro parte concept relationship to the concept relationships to Add pro parte misapplied name to the concept
relationship types

- Target version changed from CDM UML 5.0 to Release 4.13

It was orally discussed that a new relationship type is enough to implement this issue.

Maybe we then also want a partial misapplied name relationship type though this might be seldom used.

#6 - 01/25/2018 12:11 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlible9baa019557b3aa3bd8c858dc60ab136ee8439af.

#7 - 01/25/2018 09:43 AM - Andreas Miiller

- Related to feature request #7215: Implement pro parte misapplied names in TaxEditor added

#8 - 01/25/2018 11:12 AM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

Hi Katja, can you please review, including checking the code changes. Especially the one in the search algorithm is important. | have changed the
MAN parameter from a single parameter to a collection parameter. This | have done only in code, but have not tested and don't know if the code is
covered by tests.

When ready can you pass to Andreas K. to also review the code. Especially the one for hibernate search.

#9 - 01/25/2018 11:18 AM - Andreas Miiller
- Blocks task #7216: Import pteridophyta for Cuba checklist added

#10 - 02/16/2018 11:17 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Kohlbecker

the search especially of the standard search looks correct.
@AK please review the lucene search

#11 - 03/28/2018 02:32 PM - Andreas Miiller

- Related to feature request #7336: Implement partial misapplied names in TaxEditor added

#12 - 02/22/2022 03:40 PM - Andreas Miiller

- Assignee changed from Andreas Kohlbecker to Katja Luther

Katja, can you do the lucene review?

#13 - 03/31/2022 11:12 AM - Andreas Miuiller

- Related to bug #9966: Search order in advanced search not correct added

#14 - 04/29/2022 02:50 PM - Katja Luther
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/e9baa019557b3aa3bd8c858dc60ab136ee8439af

- Status changed from Resolved to Feedback

- Assignee changed from Katja Luther to Andreas Mdiller

Katja Luther wrote in #note-10:

the search especially of the standard search looks correct.

@AK please review the lucene search

Do we have an example, where this is already used?
